> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siro.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all OAuth apps for an organization

> This endpoint returns all registered OAuth apps for a given owner meeting the specified filters.Results can be returned using either a cursor-based pagination or a page-based pagination.If both a cursor and a page are provided, the cursor will be used.By default, results are sorted by dateCreated in descending order.



## OpenAPI

````yaml get /v1/core/oauth/apps
openapi: 3.0.0
info:
  version: 1.0.0
  title: Swagger API
servers:
  - url: https://functions.siro.ai/api-externalApi
    description: Siro API external API endpoint
security: []
externalDocs:
  description: View the raw OpenAPI Specification in JSON format
  url: /swagger.json
paths:
  /v1/core/oauth/apps:
    get:
      summary: Get all OAuth apps for an organization
      description: >-
        This endpoint returns all registered OAuth apps for a given owner
        meeting the specified filters.Results can be returned using either a
        cursor-based pagination or a page-based pagination.If both a cursor and
        a page are provided, the cursor will be used.By default, results are
        sorted by dateCreated in descending order.
      parameters:
        - schema:
            type: string
            minLength: 1
            description: The organization that owns one or more OAuth apps.
          required: true
          description: The organization that owns one or more OAuth apps.
          name: organizationId
          in: query
        - schema:
            type: string
            minLength: 1
            description: The id of the user that created one or more OAuth apps.
          required: true
          description: The id of the user that created one or more OAuth apps.
          name: owner
          in: query
        - schema:
            type: string
            format: date-time
            description: Return OAuth apps created after this date.
          required: false
          description: Return OAuth apps created after this date.
          name: fromDate
          in: query
        - schema:
            type: string
            format: date-time
            description: Return OAuth apps created before this date.
          required: false
          description: Return OAuth apps created before this date.
          name: toDate
          in: query
        - schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 100
            description: >-
              The number of results to return. If omitted, 100 results will be
              returned.
          required: false
          description: >-
            The number of results to return. If omitted, 100 results will be
            returned.
          name: limit
          in: query
        - schema:
            type: string
            minLength: 1
            description: >-
              The cursor to paginate the results. Cursor-based pagination will
              always be used unless if left blank and a page number is provided.
          required: false
          description: >-
            The cursor to paginate the results. Cursor-based pagination will
            always be used unless if left blank and a page number is provided.
          name: cursor
          in: query
        - schema:
            type: integer
            minimum: 1
            description: >-
              The page number to return. If omitted, the first page of results
              will be returned.
          required: false
          description: >-
            The page number to return. If omitted, the first page of results
            will be returned.
          name: page
          in: query
        - schema:
            type: string
            enum:
              - dateCreated
              - dateUpdated
            default: dateCreated
            description: >-
              The field to sort the results by. If omitted, the results will be
              sorted by dateCreated in descending order.
          required: false
          description: >-
            The field to sort the results by. If omitted, the results will be
            sorted by dateCreated in descending order.
          name: sortField
          in: query
        - schema:
            type: string
            enum:
              - asc
              - desc
            default: desc
            description: >-
              The direction to sort the results by. If omitted, the results will
              be sorted by dateCreated in descending order.
          required: false
          description: >-
            The direction to sort the results by. If omitted, the results will
            be sorted by dateCreated in descending order.
          name: sortDirection
          in: query
      responses:
        '200':
          description: Get all OAuth apps for an organization
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        appName:
                          type: string
                        clientId:
                          type: string
                        organizationId:
                          type: string
                          description: The organization that owns this OAuth app.
                        owner:
                          type: string
                          description: The user that created this OAuth app.
                        deleted:
                          type: boolean
                        createdAt:
                          type: string
                          format: date-time
                        updatedAt:
                          type: string
                          format: date-time
                        deletedAt:
                          type: string
                          nullable: true
                          format: date-time
                      required:
                        - appName
                        - clientId
                        - organizationId
                        - owner
                        - deleted
                        - createdAt
                        - updatedAt
                        - deletedAt
                  cursor:
                    anyOf:
                      - type: string
                      - type: number
                      - nullable: true
                  pageSize:
                    type: number
                  limit:
                    type: number
                  total:
                    type: number
                    nullable: true
                  hasNextPage:
                    type: boolean
                required:
                  - data
        '400':
          description: Bad Request - Invalid parameters
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message
                required:
                  - error
        '401':
          description: Unauthorized - User not authenticated
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Authentication error message
                required:
                  - error
        '403':
          description: Forbidden - User does not have access
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Authorization error message
                required:
                  - error
        '404':
          description: Not Found - Resource not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Resource not found error message
                required:
                  - error
        '422':
          description: Unprocessable Content - The request failed validation checks
          content:
            application/json:
              schema:
                type: object
                properties:
                  issues:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: string
                        expected:
                          type: string
                        received:
                          type: string
                        path:
                          type: array
                          items:
                            anyOf:
                              - type: string
                              - type: number
                        message:
                          type: string
                      required:
                        - code
                        - path
                        - message
                  name:
                    type: string
                    enum:
                      - ZodError
                required:
                  - issues
                  - name
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Internal server error message
                required:
                  - error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Organization API token
      description: >-
        Organization integration token from Siro admin (Person icon → API
        Tokens). Send Authorization: Bearer <organization-api-token>. This is
        not the OAuth access token used with api.siro.ai user-scoped endpoints.
      x-default: <organization-api-token>

````